My Oracle Support Banner

"ORA-20014: <user> not allowed to update gl_user <user2>" Exception When Editing a User (Doc ID 2148745.1)

Last updated on DECEMBER 04, 2019

Applies to:

Oracle Transportation Management - Version 6.4.1 and later
Information in this document applies to any platform.

Symptoms

ACTUAL BEHAVIOR
---------------
When editing an existing users and attempting to save the changes, the following exception is thrown


ERROR
-----------------------



EXPECTED BEHAVIOR
-----------------------
It is expected that users with elevated privileges to be able to update existing users with no exceptions


STEPS
-----------------------
The issue can be reproduced with the following steps:

1. Log in to the application with the user with elevated privleges.
2. Navigate to Configuration and Administration -> User Management -> User Manager
3. Search for and select to edit the respective user.
4. Make the changes to the user as necessary and click 'Finished' to save.
5. The error is displayed

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Cause
Solution


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.